﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private Panel1 As B4XView
	Private Button1 As Button
	Private ScrollView1 As B4XView
	Private sv1 As B4XView
	Private lblScale As B4XView
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")

	sv1.Top = 0dip
	sv1.Left = 0dip
	sv1.Width = 100%x
	sv1.Height = 100%y
	sv1.GetView(0).LoadLayout("Screen1Panel")
	Panel1.Left = 0dip
	Panel1.Width = 100%x
	Panel1.Top = 0dip
	Panel1.Height = 1000dip
	Panel1.Color = Colors.ARGB(0xFF, 0, 0, 128)
	
	Dim screenScale As Double = 100dip/100
	lblScale.Text = "Screen scale = " & NumberFormat2(screenScale, 1, 3, 2, False)			' Show physical device scale on screen
	Button1.Text = Button1.top										' This is preset in the designer as 50, will show 161 on the button.
	Dim btn1StartY As Int = (Button1.Top / screenScale).As(Int)		' Save the starting Y position
	
	LogColor("Start positions (y): sv1=" & sv1.Top & ", P1.top=" & Panel1.Top & ", B1.top=" & Button1.top, Colors.Red)
	
	Sleep(3000)
	LogColor("Moving button out of the way to 300dip", Colors.Green)
	Button1.Top = 300dip											' Move this away temporarily
	Button1.Text = Button1.top
	LogColor("Button pos (y) = " & Button1.Top, Colors.Green)

	Sleep(3000)
	LogColor("Moving button to original position, " & btn1StartY, Colors.Blue)
	Button1.Top = btn1StartY										' Put this back where it (should've) started
	Button1.Text = Button1.top
	LogColor("Button pos (y) = " & Button1.Top, Colors.Blue)
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

